import type { SpanTableData } from '../types/SpanTableData';
const formatSpanTableData = (data: SpanTableData[]) => {
  const spanData: SpanTableData[] = [];
  const uniqueItems: string[] = [];

  // 找出不同的检查项目
  data.forEach((item) => {
    if (!uniqueItems.includes(item.checkItem)) {
      uniqueItems.push(item.checkItem);
    }
  });

  // 重新组织数据，添加序号
  uniqueItems.forEach((item, index) => {
    const itemData = data.filter((dataItem) => dataItem.checkItem === item);
    itemData.forEach((data) => {
      data.index = index + 1;
    });
    spanData.push(...itemData);
  });

  return spanData;
};

export { formatSpanTableData };
